List all available behavioral assessments
curl --request GET \
--url https://vanguard.profilebehavior.com/api/v4/assessments \
--header 'Authorization: Bearer <token>'import requests
url = "https://vanguard.profilebehavior.com/api/v4/assessments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vanguard.profilebehavior.com/api/v4/assessments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"assessments": [
{
"id": "60e9ca73c500a9001534ad84",
"createdAt": "2025-01-01T09:42:52.329056-05:00",
"updatedAt": "2025-01-01T09:42:52.329056-05:00",
"name": "DISC"
},
{
"id": "70f7ca73c500a9001534ed65",
"createdAt": "2025-01-01T09:42:52.329056-05:00",
"updatedAt": "2025-01-01T09:42:52.329056-05:00",
"name": "Focus"
},
{
"id": "80a6ca73c500a9001534fd76",
"createdAt": "2025-01-01T09:42:52.329056-05:00",
"updatedAt": "2025-01-01T09:42:52.329056-05:00",
"name": "Core"
}
]
}{
"code": 401,
"error": {
"message": "Invalid token",
"timestamp": "2025-01-01T09:42:52.329056-05:00"
},
"status": "error"
}Assessment
Get All Assessments
Returns every behavioral assessment offered by Profile, including DISC, Focus, and Core. Use this to see which behavioral tests are available for teams or individuals in your organization.
GET
/
assessments
List all available behavioral assessments
Authorizations
M2MOAuth2
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Success
Standard response object for successful requests that return an array of resources. Used for list endpoints in the Profile Behavior API.
Was this page helpful?
⌘I